Skip to content

List and search evaluation forms

Request to list evaluation forms:

GET /api/v2/evaluation_forms.json

The list returns a compact form of each object: its ID and title. To retrieve all attributes, see View an evaluation form.

Example of response:

{
    "forms": [
        {
            "form_id": "cd61b307-5e74-4c4b-b50a-f47100d51959",
            "title": "Inbound Score Card"
        },
        {
            "form_id": "7e86e1ad-a71d-4d42-856d-0b3f3b02689d",
            "title": "Outbound call score card"
        },
        {
            "form_id": "c34aefc4-0140-4f8e-941f-cc731feb15bf",
            "title": "Sample form (manual)"
        }
    ],
    "total": 3,
    "next_url": null
}

See Collections for paging.

Search evaluation forms

Parameter Description
search_term

Search by form title, and by tenant name in multi-tenant deployments. Partial match, case insensitive.

GET /api/v2/evaluation_forms.json?search_term=Inbound
tenant_id

Filter by tenant ID.

GET /api/v2/evaluation_forms.json?tenant_id=2bfcefd4-f41d-11e4-983d-e03f497dbdff

Example with several parameters:

GET /api/v2/evaluation_forms.json?tenant_id=2bfcefd4-f41d-11e4-983d-e03f497dbdff&search_term=Inbound

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The list of evaluation forms is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view evaluation forms
404 Not Found The tenant_id parameter is not a valid UUID